org.apache.ode.bpel.pmapi

## Interface TActivityExtInfo

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TActivityExtInfoImpl

      public interface TActivityExtInfo
      extends org.apache.xmlbeans.XmlObject

  An XML tActivityExtInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TActivityExtInfo.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAiid()` Gets the "aiid" element
    `void` | `setAiid(java.lang.String aiid)` Sets the "aiid" element
    `org.apache.xmlbeans.XmlString` | `xgetAiid()` Gets (as xml) the "aiid" element
    `void` | `xsetAiid(org.apache.xmlbeans.XmlString aiid)` Sets (as xml) the "aiid" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getAiid

          java.lang.String getAiid()

      Gets the "aiid" element

    - #### xgetAiid

          org.apache.xmlbeans.XmlString xgetAiid()

      Gets (as xml) the "aiid" element

    - #### setAiid

          void setAiid(java.lang.String aiid)

      Sets the "aiid" element

    - #### xsetAiid

          void xsetAiid(org.apache.xmlbeans.XmlString aiid)

      Sets (as xml) the "aiid" element